Loading...
Searching...
No Matches
etl::reverse_iterator< TIterator > Class Template Reference

## Public Types

typedef iterator_traits< TIterator >::iterator_category | iterator_category
typedef iterator_traits< TIterator >::value_type | value_type
typedef iterator_traits< TIterator >::difference_type | difference_type
typedef iterator_traits< TIterator >::pointer | pointer
typedef iterator_traits< TIterator >::reference | reference
typedef TIterator | iterator_type

## Public Member Functions

ETL_CONSTEXPR14 | reverse_iterator (TIterator itr)
template<typename TOther>
ETL_CONSTEXPR14 | reverse_iterator (const reverse_iterator< TOther > &other)
template<class TOther>
ETL_CONSTEXPR14 reverse_iterator & | operator= (const reverse_iterator< TOther > &other)
ETL_CONSTEXPR14 TIterator | base () const
ETL_NODISCARD ETL_CONSTEXPR14 reference | operator* () const
ETL_NODISCARD ETL_CONSTEXPR14 pointer | operator-> () const
ETL_CONSTEXPR14 reverse_iterator & | operator++ ()
ETL_CONSTEXPR14 reverse_iterator | operator++ (int)
ETL_CONSTEXPR14 reverse_iterator & | operator-- ()
ETL_CONSTEXPR14 reverse_iterator | operator-- (int)
ETL_CONSTEXPR14 reverse_iterator & | operator+= (const difference_type offset)
ETL_CONSTEXPR14 reverse_iterator & | operator-= (const difference_type offset)
ETL_NODISCARD ETL_CONSTEXPR14 reverse_iterator | operator+ (const difference_type offset) const
ETL_NODISCARD ETL_CONSTEXPR14 reverse_iterator | operator- (const difference_type offset) const
ETL_NODISCARD ETL_CONSTEXPR14 reference | operator[] (const difference_type offset) const

## Protected Attributes

TIterator | current

The documentation for this class was generated from the following file:

- include/etl/iterator.h